Bug 443799 - xtables.h missing in iptables-devel
Summary: xtables.h missing in iptables-devel
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: iptables   
(Show other bugs)
Version: 9
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-04-23 13:14 UTC by Michaël Arnauts
Modified: 2008-07-11 02:10 UTC (History)
1 user (show)

Fixed In Version: 1.4.1.1-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-09 21:48:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michaël Arnauts 2008-04-23 13:14:07 UTC
I need to compile a module for iptables, since this module requires iptables.h,
i installed iptables-devel.

Now, iptables-devel provides a file named /usr/src/include/iptables.h, but this
file has an include for xtables.h. This file is not found in the iptables-devel
package.

"yum provides \*/xtables.h" gives kernel-devel as an provider for xtables.h, but
the file xtables.h in that package is empty!

# ls -l /usr/src/kernels/2.6.25-1.fc9.i686/include/config/netfilter/xtables.h 
-rw-r--r-- 1 root root 0 2008-04-17 07:45
/usr/src/kernels/2.6.25-1.fc9.i686/include/config/netfilter/xtables.h

So, eather xtables.h should be included in iptables-devel, or the package
kernel-devel should be updated. I've seen on rpmfind that other iptables-devel
packages do contain xtables.h, so i think it should be located there.

If the file should be located in kernel-devel, i think iptables-devel should
depend on kernel-devel, to fix the requirements for xtables.h.

Comment 1 Bug Zapper 2008-05-14 10:00:42 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Fedora Update System 2008-07-01 10:18:55 UTC
iptables-1.4.1.1-1.fc9 has been submitted as an update for Fedora 9

Comment 3 Fedora Update System 2008-07-02 06:33:19 UTC
iptables-1.4.1.1-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update iptables'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-5960

Comment 4 Fedora Update System 2008-07-09 21:48:15 UTC
iptables-1.4.1.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Henry Molina 2008-07-11 02:10:51 UTC
Updating to iptables-1.4.1.1-1.fc9 I get:

/usr/include/iptables.h:5:29: error: libiptc/libiptc.h: No existe el fichero o
el directorio


Note You need to log in before you can comment on or make changes to this bug.